Pare arbitrariamente "Seguir pacotes foram instalados automaticamente e não são mais necessários" [duplicados] -- apt camp askubuntu Relacionado O problema

Stop arbitrarily “following packages were automatically installed and are no longer required” [duplicate]


5
vote

problema

português
.

Desde que encontrei tópicos semelhantes ( 1 , 2 ) mas não são úteis para meus problemas, estou abrindo uma nova pergunta.

ocasionalmente quando eu executo S1 , eu recebo:

  S2   

Isso ocorre frequentemente com os pacotes que eu uso fortemente. No entanto, porque eles não são usados ​​pelo sistema operacional, a própria mensagem de erro faz sentido se S3 significa que o sistema operacional é usado para exigir esses pacotes.

Como posso parar isso para acontecer / deixar o sistema operacional saber que eu preciso desses pacotes?

Como há casos em que esta notificação é realmente útil (por exemplo, pacotes que os sistemas operacionais usados ​​para exigir não estão mais necessitados e eu também não os usei), prefiro solução / solução alternativa que permita a configuração caso a caso.

S4 0.8.16 ~ exp12ubuntu10.11

english

Since I've found similar threads (1, 2) but are not helpful to my issues, I'm opening up a new question.

Occassionally when I run apt-get, I get:

The following packages were automatically installed and are no longer required: :   (list of packages) 

This occurs often with the packages that I heavily use. However, because they are not used by the OS, the error message itself makes sense if required means OS is the one used to require those packages.

How can I stop this to happen / let OS know that I need these packages?

Since there ARE cases when this notification is actually useful (eg. packages that OS used to require are no longer in need AND I do not used them too), I prefer solution/workaround that allows case-by-case setting.

apt 0.8.16~exp12ubuntu10.11

  

Lista de respostas

5
 
vote
vote
Melhor resposta
 

Caso você esteja usando pacotes marcados como "instalados automaticamente", você deve informar ao gerenciamento de pacotes que você deseja explicitamente, em vez de uma dependência:

  sudo apt-mark unmarkauto packagename    

O objetivo desta marca automática / manual em uma instalação do pacote é manter o sistema limpo se você instalar o pacote - X, que instala várias dependências (digamos Pacote-y, pacote-z). O apt saberá que o pacote-y e o pacote-z não são mais necessários se você remover o pacote-x algum dia depois - use sudo apt-get autoremove para executar a remoção.

Não marque dependências conforme manualmente instalado, pois isso derrotaria o propósito do acima.

Para descobrir por que certos pacotes são instalados automaticamente, você deseja usar

  gsettings set com.canonical.Unity.Panel systray-whitelist "['all']" 0   
 

In case you are using packages which are marked as "automatically installed", you should tell the package management that you want them explicitly rather than a dependency:

sudo apt-mark unmarkauto packagename 

The purpose of this auto/manual mark on a package installation is to keep the system clean if you install package-x which installs several dependencies (say package-y, package-z). APT will then know that package-y and package-z are not needed anymore if you remove package-x some day later - use sudo apt-get autoremove to perform the removal.

Don't mark dependencies as manually installed, as that would defeat the purpose of the above.

In order to find out why certain packages are installed automatically, you want to use

aptitude why packagename 
 
 
   
   

Perguntas relacionadas

1  O sistema caiu, mostrando o terminal 'Configurando a caixa de inicialização segura'  ( System has crashed terminal showing configuring secure boot box ) 
Eu tentei atualizar o XFCE Desktop com - sudo apt-get upgrade xfce4 Por razões desconhecidas, o processo não foi concluído. Depois disso sempre que eu ...

5  Equivalente à história do yum?  ( Equivalent to yum history ) 
Existe um equivalente a yum history comando no Ubuntu? Estou ciente de que posso apenas olhar para os logs apt, mas estou procurando por algo que irá listá-...

9  Mesclar vários arquivos MP4 em um único vídeo através do terminal [duplicado]  ( Merge multiple mp4 files into a single video via the terminal ) 
. Esta pergunta já tem respostas aqui : O que o software pode participar de vídeos? ...

2  Erro ao adicionar um repositório a /etc/apt/sources.list  ( Error adding a repository to etc apt sources list ) 
no Ubuntu 14.04, segui http: //mirror.its. dal.ca/cran/bin/linux/ubuntu/readme que diz Installation and compilation of R or some of its packages may requ...

1  Não é possível instalar o IDE do Lazarus no Ubuntu 10.04  ( Cannot install lazarus ide on ubuntu 10 04 ) 
Eu baixei arquivos * .deb da página inicial do Lázaro e usada sudo dpkg -i *.deb na pasta lábarus. Isso instalou, mas não pôde ser devido ao erro dizen...

0  Apt "conexão falhou"  ( Apt connection failed ) 
Desde a instalação do Ubuntu, não consegui instalar novos pacotes, ele ainda não foi atualizado. Abaixo está uma despejo de erro de conexão que vejo quando te...

1  Quais são os vários 'anúncios' ou 'avisos' para atualizações de pacotes?  ( What are the various announcements or notices for package updates ) 
Recentemente, me deparei com o USN - Notices de segurança do Ubuntu e a DSA - Debian Security anuncie e descobriu que estas são as listas de email para as atu...

3  Não é possível instalar drivers para o meu cartão WiFi Realtek RTL8723BE no Ubuntu 16.10  ( Cannot install drivers for my realtek rtl8723be wifi card in ubuntu 16 10 ) 
tentou $ sudo add-apt-repository ppa:hanipouspilot/rtlwifi $ sudo apt-get update $ sudo apt-get install rtlwifi-new-dkms linux-firmware mas dar ...

1  / usr / local / bin / bower: Nenhum arquivo ou diretório após reinstalar o Node.js e bower  ( Usr local bin bower no such file or directory after reinstalling node js and b ) 
Eu reinstalei nodejs ( node , npm ) por causa de uma antiga configuração corrompida. Do que eu instalei bower $sudo npm install -g bower /usr/bin/bowe...

1  Gnome-Software Manager ficando em RAM quando fechado xubuntu 16.04  ( Gnome software manager staying in ram when closed xubuntu 16 04 ) 
Vou executar gnome-software 3.20.1 e feche o programa. No entanto, o processo do programa não fecha e ocupa um pedaço notável de memória. O programa também ...




© 2022 pergunte.org All Rights Reserved. Casa de perguntas e respostas todos os direitos reservados


Licensed under cc by-sa 3.0 with attribution required.